/**
 * This Program uses the report type messages ....
 * As soon as the message reaches on the "Test1" queue ...
 * it gives the confirmation on arrival of message on queue "init1".
 * Creation date: (26/05/2001 3:08:22 PM)
 * @author: Upkar Sharma
 */
import com.ibm.mq.*;
 
public class ReportTypeMessage {

	public String qManager = "QM_test";
	
	public com.ibm.mq.MQQueueManager qMgr;

	public MQQueue collect;
/**
 * MessagePut constructor comment.
 */
public ReportTypeMessage () {
	try {
		qMgr = new MQQueueManager(qManager);
		putMessage();
		
	} catch( Exception e ){
		System.out.println("Error :" +e.toString());
	}
}
/**
 * Insert the method's description here.
 * Creation date: (29/05/2001 11:27:06 AM)
 * @param args java.lang.String[]
 */
public static void main(String[] args) {
	new ReportTypeMessage ();
	
}
/**
 * Insert the method's description here.
 * Creation date: (29/05/2001 11:29:24 AM)
 */
public void putMessage() {
	try {
			
			// Set up the options on the queue we wish to open...
	  		// Note. All MQSeries Options are prefixed with MQC in Java.	
			int openOptions =MQC.MQOO_INPUT_AS_Q_DEF | MQC.MQOO_OUTPUT ;

			// Now specify the queue that we wish to open,and the open options.
			// Here the queue name is "collect".
			MQQueue collect = qMgr.accessQueue("Test1",openOptions);


			
			// Define a simple MQSeries message, and 
	   		//write some text in UTF format..
			MQMessage putmessage =new MQMessage();

			putmessage.messageType = MQC.MQMT_REPORT;
			
			putmessage.report = MQC.MQRO_COA ;
			
			putmessage.feedback = MQC.MQFB_COA;

			putmessage.replyToQueueName = "init1" ;
			
			putmessage.replyToQueueManagerName = "QM_test" ;

			//putmessage.priority = 5;
			
			//putmessage.putDateTime = new java.util.GregorianCalendar();
			

			putmessage.writeUTF("Hello");

			// specify the message options...
			MQPutMessageOptions pmo =new MQPutMessageOptions();
			// accept the defaults,
			// same as MQPMO_DEFAULT constant.

			// put the message on the queue.
			collect.put(putmessage,pmo);
			System.out.println("Name put on the collect queue");
			
			collect.close();
			System.out.println("collect queue closed");
		} catch(Exception e) {
			System.out.println("Exception occurred: "+e.getMessage());
			
		}
}
}
